package cd.casic.ci.process.process.service.sftpFile;


import jakarta.servlet.http.HttpServletResponse;
import org.springframework.web.multipart.MultipartFile;

import java.io.OutputStream;
import java.util.List;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName SftpFileService
 * @Date: 2025/5/17 10:20
 * @Description:
 */
public interface SftpFileService{

    String uploadFile(MultipartFile file, String remoteDir, String remoteFileName);

    void downloadFile(String remoteFilePath, HttpServletResponse response);

    void downloadFilesAsZip(List<String> remoteFilePaths, String zipFileName, HttpServletResponse response);
    public void downloadFilesAsZip(List<String> remoteFilePaths, OutputStream outputStream);
}
